###############################################################################
# Program:		GENERATE_RRG.Make
#
# Parameters:           The model name, optionally the TNETHOME variable
#                       make TNETHOME=... MODEL=... netname.rrg
#
# Purpose:              Create the .rrg and .tmark files required by SOLVE_DSPN
#                       from the .TN file used by TimeNET.
#
# Project Director:	Reinhard German
#
# Programmer:		Ulrich Hertlein
#
# History:		Release 1: April 14, 1994
###############################################################################

CC	= cc
EXT_LD_FLAGS =

CFLAGS	= -O

LIB = $(EXT_LD_FLAGS) -lm
GRAPHLIB = $(TNETHOME)/Shared/bin/genrrg.a

$(MODEL).genrrg: $(MODEL)_MDF.c $(GRAPHLIB)
	$(CC) $(CFLAGS) -o $@ $(MODEL)_MDF.c $(GRAPHLIB) $(LIB)
